diff tools/verify-all-heads.sh @ 213:b1d2ea765516

tools: refactor stuff into common.sh, make verify-all-heads not revert.
author Augie Fackler <durin42@gmail.com>
date Fri, 20 Mar 2009 10:18:34 -0500
parents b81e7f2f7818
children 3c87de482011
line wrap: on
line diff
--- a/tools/verify-all-heads.sh
+++ b/tools/verify-all-heads.sh
@@ -1,7 +1,9 @@
 #!/bin/sh
+. $(dirname $0)/common.sh
+
 for b in `hg branches | cut -f 1 -d ' '` ; do
     hg co $b || break
     echo Verifying $b
-    $(dirname $0)/bisect-find-bad.sh > /dev/null || break
+    verify_current_revision keep > /dev/null || break
     echo $b Verified.
 done